			Gnulib stable snapshot
			----------------------

  * 20140202-stable

Snapshot taken based on:

commit a39d4083cab589d7cd6a13e8a4b8db8875261d75
Date:   Wed Jan 1 05:19:01 2014 -0800

with the following additional commits:

    * [7a0c729]->[d78c62e] maint: fix public-submodule-commit to work with newer git
    * [cfe23e8]->[79ca097] autoupdate
    * [5088dc5]->[7e54a06] manywarnings: remove -Wmudflap
    * [fe3419d]->[cd56634] doc: use ASCII in .texi files where UTF-8 isn't needed
    * [580240a]->[a2d14e0] include_next: port to autoconf 2.63
    * [e446f25]->[c092018] relocatable-shell: Update suggested usage in maintainer documentation.
    * [7514946]->[2d49283] qacl: check for fchmod
    * [497f4cd]->[8c28db1] autoupdate

----------------------------------------------------------------------

  * 20130805-stable

Snapshot taken based on:

commit ef5856c0c4c6302b6cac9c7cefb4e6cbdcf127be
Date:   Tue Jun 11 00:10:21 2013 -0700

with the following additional commits:

    * [353402b]->[979b76e] autoupdate
    * [2845ecc]->[1fd0acc] getcwd-lgpl: port to Tru64
    * [240af58]->[dbe7a05] nproc: relax license to LGPLv2+
    * [33758ba]->[121180e] xalloc-oversized: relax license to LGPLv2+
    * [612ef3f]->[a08b131] mgetgroups: relax license to LGPLv2+
    * [c96bab3]->[9e801ad] fnmatch: don't goto over declaration
    * [de3b502]->[cce1478] autoupdate
    * [03e96cc]->[78b78bc] autoupdate

----------------------------------------------------------------------

  * 20120404-stable

Snapshot taken based on:

commit 1f28fa660e4ca110f073251a24ef3a94ad97ef69
Date:   Sat Mar 24 16:41:21 2012 +0100

with the following additional commits:

    * [7ce7d6b]->[c07add3] autoupdate
    * [3d0ba3f]->[7f8314c] maint.mk: fix syntax checks without exclusions
    * [0e0635a]->[3d25ec7] fflush: Fix syntax error.

----------------------------------------------------------------------

  * 20111211-stable

Snapshot taken based on:

commit b572c3a256e7bf1e4eecc8c36448c08093240a6a
Date:   Sat Dec 3 13:09:58 2011 +0100

with the following additional commits:

    * [c69114d]->[b3a93d2] tests: Avoid spurious error message on platforms without mktemp program.
    * [8446103]->[46519aa] autoupdate
    * [7c25126]->[6057366] autoupdate

----------------------------------------------------------------------

  * 20110908-stable

Snapshot taken based on:

commit 0ba19fcc5ff43167939e465af4b93f965fffcc8c
Date:   Tue Aug 30 16:38:59 2011 -0700

with the following additional commits:

    * [a0d9972]->[21d1619] freopen: Don't crash if the filename argument is NULL.
    * [a5a35f0]->[c4596b1] freopen: Documentation.
    * [9926b90]->[395f9e6] tests: avoid spurious assertion failure in test-float.c on ppc64
    * [8b18afa]->[c948e19] sys_select: Avoid a syntax error regarding timespec_t on IRIX 6.5.
    * [de1fa2a]->[17f0ec6] openat: work around AIX 7.1 fstatat issue
    * [6cf1a95]->[338ebcb] lib/fstatat.c: Include <sys/types.h> before <sys/stat.h>.
    * [d21602d]->[aa4ddc3] pthread: Determine $(LIB_PTHREAD) correctly on IRIX 6.5.
    * [7c712d9]->[b34698e] imaxabs: Avoid link error on OSF/1 with DTK cc.
    * [d828cda]->[6add58a] imaxdiv: Avoid link error on OSF/1 with DTK cc.
    * [ae006b4]->[4a9738e] strtoimax: Avoid link error on OSF/1 with DTK cc.
    * [24bfc89]->[1d71dc7] strtoumax: Avoid link error on OSF/1 with DTK cc.
    * [d1fa59e]->[e238a25] strtoimax, strtoumax: Document problem on HP-UX 11.
    * [e4078c6]->[b26a79b] avoid literal : in index entries
    * [e91216b]->[946c971] openat: test for fstatat (AT_FDCWD, ..., 0) bug
    * [204072b]->[9f60473] openat: test for fstatat (..., 0) bug
    * [a05ce27]->[f4293d3] openat: port to AIX 7.1 with large files
    * [90a660c]->[e916d00] autoupdate
    * [76074e9]->[a5e4927] openat: Work around compilation error with OSF/1 5.1 DTK cc.

----------------------------------------------------------------------

  * 20110609-stable

Snapshot taken based on:

commit 0c4be75eb0966bde4533bc111778e0ab494a93be
Date:   Wed May 18 13:13:03 2011 -0600

with the following additional commits:

    * [48cc748]->[a5f8483] intprops: TYPE_IS_INTEGER, TYPE_SIGNED not integer constant exprs
    * [8cc0fee]->[8c5e817] intprops: work around C compiler bugs
    * [92c71a1]->[2dd0ce3] intprops: work around IRIX 6.5 cc bug with 0u - 0u + -1
    * [c9ff025]->[056b00f] maint: correct misuse of "a" and "an"
    * [93d7550]->[0cc5541] maint: replace misused "a" with "an"
    * [325f131]->[f00bf3d] relocatable-prog-wrapper: Fix possible link error.
    * [21eb071]->[8694861] clock-time: change to LGPLv2+.
    * [6c8bcfc]->[617bbef] * doc/intprops.texi: fix typo in copyright date
    * [99b3138]->[9279f19] verify: fix bug when gnulib <assert.h> is also included
    * [64c6332]->[98ce667] linkat, renameat: Update dependencies.
    * [fbd3cc5]->[be2aacf] getugroups: Fix module description.
    * [ddd54c7]->[cd78e73] gnulib-tool: fix portability problem with MacOS sed
    * [59ed6e8]->[1166200] idcache: Fix module description.
    * [1e8752a]->[4831e70] Fix recent ChangeLog entry.
    * [d94bbd1]->[4af1887] opendir-safer.c: don't clobber errno; don't close negative FD
    * [6dc42e2]->[d0fe920] utimensat: do not reference an out-of-scope buffer
    * [866bbae]->[b9bb8b9] tests: fix logic bug in init.sh
    * [fc9b0f6]->[cca883f] atexit-tests: ensure reliable exit status
    * [f4c4af0]->[61c4bf6] docs: document recently fixed glibc printf bug
    * [9d196fa]->[a3a87d2] test-intprops: disable -Wtype-limits diagnostics
    * [1622b36]->[527d6c4] getcwd: work around mingw bug
    * [4ed9779]->[d1c9bfc] mbsrchr: Avoid collision with system function on Interix.
    * [03f358b]->[1ad6403] gen-uni-tables: Say "gen-uni-tables.c" consistently.
    * [8d8a973]->[cb6151a] getloadavg: Remove an unreliable safety check.
    * [fdc9e6c]->[264ebf0] Status of work-in-progress around libposix.
    * [2449068]->[cfd76ac] trim: avoid a warning from -O2 -Wstrict-overflow
    * [a8ff65c]->[264aa35] parse-datetime.y: accommodate -Wstrict-overflow
    * [05f391a]->[ca57003] wctype-h: Avoid namespace pollution on Solaris 2.6.
    * [224c034]->[225c8ef] Fix link errors in tests: wait-process uses gettext-h.
    * [9c3746f]->[7f56311] build-aux/config.sub
    * [7c886ca]->[802ee67] Fix link errors in tests: openat-die uses gettext-h.
    * [64e3383]->[e54b616] pipe2: Remove dependency on 'nonblocking' module.
    * [27edfbd]->[4ba5a2c] doc: Fix a module name.
    * [872f360]->[8248d1a] Copyright: Use LGPL 2.1 instead of LGPL 2.0.
    * [0605107]->[d9883ac] setlocale: Enable replacement on Cygwin 1.5.
    * [d3e6271]->[1a2b0e6] sys_select: Ensure memset is declared also on AIX 7.
    * [c00787b]->[11da7a4] setenv: Avoid gcc warning.
    * [6f88ff3]->[4c509f3] unsetenv: Avoid gcc warning.
    * [1866b23]->[0560196] localename: Fix link dependencies.
    * [bf7690a]->[54731c1] pipe-filter-ii: Fix test failure on AIX and IRIX.
    * [e7754b0]->[52062c8] acl: Fix test failure on AIX 7.
    * [c914617]->[34d3cce] ansi-c++-opt: Interoperability with libtool.
    * [3f9fff2]->[0bd455a] careadlinkat: Avoid mismatch between ssize_t and int.
    * [c224523]->[5c698ae] canonicalize-lgpl: work around AIX realpath bug
    * [79aac72]->[cc1a9b7] canonicalize-lgpl: use common idiom
    * [3180807]->[768eb31] doc/lgpl-2.1.texi
    * [fba3245]->[a96c4d5] tests: fix usage message in 'mktempd_'
    * [7b2b693]->[a43f6fd] autoupdate
    * [3639716]->[74c0798] rmdir: Avoid test failure on HP-UX 10.20.
    * [9776680]->[6ddae30] acl tests: Fix compilation error on HP-UX 11.
    * [5f0441a]->[c1bf224] thread: Fix confusion between NULL and 0.

----------------------------------------------------------------------

  * 20110412-stable

Snapshot taken based on:

commit dec3475763be252103922a887920012eeb32dc26
Date:  Thu Mar 31 15:28:37 2011 -0600

with the following additional commits:

    * [b64c50c]->[c8bdb92] wcpcpy, wcpncpy: Ensure declaration on glibc >= 2.13 systems.
    * [25d7f3a]->[6c630cd] wmemchr, wcschr, wcsrchr, wcspbrk, wcsstr: Avoid errors in C++ mode.
    * [eccf108]->[de98845] autoupdate
    * [a2c7be5]->[d6acfb1] maint.mk: Don't trigger sc_space_tab check.
    * [31c3890]->[eb1217e] pipe2: Relicense under LGPLv2+.
    * [bd5d1e6]->[2db494c] binary-io: relicense under LGPLv2+
    * [b277764]->[a7091b5] fcntl-h: fix O_ACCMODE on cygwin
    * [306bd09]->[6870aba] autoupdate
    * [62f3b86]->[90309e4] getaddrinfo: Fix test for sa_len member.
    * [5e29a7a]->[9bb2e6b] test-chown.h: correct a cast
    * [eff4c03]->[7f3fdea] stdint test: Fix compilation failure on OSF/1 with DTK compiler.
    * [ca6143b]->[8571b74] autoupdate
    * [fb79969]->[fa84676] autoupdate

----------------------------------------------------------------------

  * 20110216-stable

Snapshot taken based on:

commit f9289f00be9b70c0cb469faee8a40a768d7c6d43
Date:   Wed Feb 9 20:55:19 2011 +0100

with the following additional commits:

    * [27147dc]->[4c5d3e6] doc: update users.txt
    * [a54ee6e]->[a1245ce] doc: update users.txt
    * [4cce65c]->[b9f1203] doc: update users.txt
    * [aa887f8]->[ce38c27] mbsrtowcs: Work around bug on native Windows.
    * [c9dc6ff]->[461ace8] wcsrtombs: Work around bug on native Windows.
    * [06c2675]->[1138b90] stdlib: support non-GCC __attribute__
    * [4baa767]->[1dfaba6] quotearg test: Avoid test failure on mingw.
    * [b45dc21]->[d19a89f] stdlib: don't get in the way of non-GCC __attribute__
    * [9fbdea6]->[860215e] Fix last ChangeLog entry.
    * [e680a55]->[2d86779] Don't interfere with a program's definition of __attribute__.
    * [a38e4bb]->[6f5e418] mbsinit: Don't crash for a NULL argument.
    * [cca34e7]->[1b94e03] mbsinit: Work around mingw bug.
    * [a035a8d]->[2bbd452] mbrtowc: Work around native Windows bug.
    * [f6a5a12]->[c7a1790] Don't interfere with a program's definition of __attribute__.
    * [59b191e]->[5f5a2a4] Consistent macro naming for macros that use GCC __attribute__.
    * [bf2664d]->[25ab657] doc: update users.txt
    * [665d45c]->[321331f] autoupdate

----------------------------------------------------------------------

  * 20101221-stable

This snapshot is identical to the previous 20101220-stable snapshot,
with the addition of one fix:

    * [d534aa8]->[385ec31] iconv_open: Fix regression from 2010-12-04.

----------------------------------------------------------------------

  * 20101220-stable

Snapshot taken based on:

commit 64911207854610668b480939469282fdaeb96f74
Date:   Tue Dec 7 03:32:46 2010 +0100

with the following additional commits:

    * [8029e49]->[6f83d07] autoupdate
    * [0de2016]->[c94504d] * build-aux/gendocs.sh: restore x bit
    * [82afcdd]->[e631098] autoupdate
    * [980f9d2]->[20c5bd5] cloexec, fcntl: relax license
    * [15a8eaf]->[68e0cfc] tests: set fail=0 at start
    * [ef6309e]->[d157341] acl: port to Solaris 8 when copying from tmpfs to ufs
    * [585734b]->[fb7d1d8] iconv: Make it possible again to use this module without 'iconv-h'.
    * [7b4e992]->[3eb5095] unistr/u8-mbsnlen: Add missing dependency.
    * [cc0adb3]->[e65c7e5] relocatable-prog-wrapper: Separate from relocatable-prog.
    * [423d3ca]->[6f9e924] doc: Mention vasprintf-posix module.
    * [224a907]->[7131d7e] Document some different function declarations on OSF/1 5.1.

----------------------------------------------------------------------

  * 20101024-stable

Snapshot taken based on:

commit ba523890aa7bae76e3ac6b3ce68f22a79d25ce2c
Date:   Wed Oct 13 10:15:38 2010 +0200

with the following additional commits:

    * [b6d1430]->[fef7abe] termios: fix compilation on mingw
    * [74b1e48]->[7bf74f7] socketlib: Fix.
    * [d239853]->[ced7fa1] vasnprintf: Don't set errno to 0.
    * [fdaeccf]->[66e670a] GNUmakefile: handle "stable" target, not "major"
    * [cac3889]->[7661272] ignore-value: make header idempotent
    * [61241ea]->[25d72f8] termios: Update documentation.
    * [94617c2]->[a964f9e] Fix date in ChangeLog.
    * [3f75f63]->[7966020] nextafter: Fix configure check.
    * [b86f488]->[ddc319e] c-stack: work around libsigsegv 2.8 bug
    * [a0598ff]->[69c6204] nl_langinfo test: Avoid test failure on NetBSD 5.
    * [f8dd25c]->[9116c10] Tests: Fix LOCALE_JA on MirBSD 10.
    * [9645318]->[87dea4e] nl_langinfo: Mention problem with CRNCYSTR on NetBSD 5.0.

----------------------------------------------------------------------

  * 20100829-stable

Snapshot taken based on:

commit 3f08220c1a263dfc45f6e0ce6dcee97631dd5e56
Date:   Tue Aug 17 07:18:27 2010 -0700

with the following additional commits:

    * [6333e13]->[a2ae92e] Fix gnulib-tool sed script de-commentation for AIX sed.
    * [350aad7]->[9e05eaf] autoupdate
    * [06728e0]->[c94cede] fts: allow compilation with C++
    * [51c2a23]->[880d107] poll, select: handle ERROR_BROKEN_PIPE.
    * [0c37a90]->[0b22530] argz: fix shell quoting issue
    * [204e903]->[99d6cd5] stdbool: avoid rejecting clang
    * [5a2d7e1]->[21182ba] priv-set: fix comments
    * [a9ec89b]->[325e969] priv-set: fix comment
    * [667277d]->[d74874d] getloadavg: don't define SVR4 on cygwin
    * [8c8ee4b]->[24ad42e] getloadavg: simplify code
    * [cab03f4]->[6acb78a] stdbool: avoid spurious failure with modern xlc
    * [8951e0e]->[2981537] Fix test-unlinkat, test-rmdir failure on AIX 5.3.
    * [0a05120]->[a83a25f] poll: return immediately on POLLHUP.
    * [fc9e09a]->[63b29c2] autoupdate
    * [20e165d]->[6a0e461] stat-time: relax license LGPL
    * [2901094]->[90aa7a1] acl: fix compilation test
    * [a228f53]->[0b86eb2] lseek: fix link test
    * [14b6d70]->[3056d82] btowc: fix missing file
    * [78ea303]->[0e59cb6] glob: fix compile test
    * [06e1426]->[7434863] lib-symbol-versions: fix m4 quoting
    * [6530a2c]->[d45eaf1] login_tty: add missing dependeny
    * [f99e41e]->[176c42a] * ChangeLog: fix typo
    * [ebf441c]->[2a3686a] sys_socket, netdb: Ensure socklen_t gets defined.
    * [63d392e]->[cb49949] Avoid relocwrapper link errors due to gnulib replacement functions.
    * [7a6e9cf]->[da66e7e] ftello: Relax license.
    * [5712b08]->[02df495] autoupdate
    * [6c345f6]->[9a348fb] unistr/u*-strchr: Fix tests dependencies.
    * [c4bc551]->[2b958de] pread, pwrite: add missing dependency

----------------------------------------------------------------------

  * 20100704-stable

Snapshot taken based on:

commit 86ba51d2c17219b82b977da0a912e05a3d9bf858
Date:   Sun Jun 20 13:31:40 2010 +0200

with the following additional commits:

    * [d0ed135]->[8626eaa] autoupdates
    * [386abcb]->[a155c56] autoupdate
    * [599af40]->[170554f] unitypes: Fix bug introduced on 2010-05-18.
    * [7740412]->[331fd48] string: Fix syntax error with g++ 2.96.
    * [5616180]->[ce5a4ac] idpriv-drop: Fix tests.
    * [6e9c624]->[cbec1d8] gettext: Use AC_GNU_SOURCE as a fallback for AC_USE_SYSTEM_EXTENSIONS.
    * [7773f84]->[a01b938] stdbool: Update doc.

----------------------------------------------------------------------

  * 20100424-stable

Snapshot taken based on:

commit  ba564f2164f381af846d9695e6465cffe7ec918c
Date:   Fri Apr 9 02:02:15 2010 +0200

with the following additional commits:

    * [950f346]->[99a272b] ftruncate: mark module as obsolete; even MinGW provides it, now
    * [2d4d227]->[358e18f] Add attribution to a ChangeLog entry.
    * [38e3c69]->[a11321f] ftruncate: add two years to projected module removal date: 2012
    * [6b8b58b]->[1ce7c50] init.sh: run tr in the "C" locale to avoid multibyte interpretation
    * [85f6993]->[bcd59b9] Add missing parenthesis in manywarnings example
    * [3213c10]->[102392e] vasnprintf test: Reduce code duplication.
    * [3c65a68]->[4b43aec] write: Fix a C++ test error on mingw.
    * [067d1f1]->[cc75f4b] vasnprintf: Fix multiple test failures on mingw.
    * [32d1664]->[e651e75] vasnprintf: Fix crash in %ls directive.
    * [0167c19]->[8bd3d4c] vasnprintf: Correct handling of unconvertible wide string arguments.
    * [de9f4b1]->[c886605] vasnprintf: Add more tests.
    * [15a0c62]->[849156a] fchownat: Fix a C++ test error on Solaris 8.
    * [67c7b8e]->[42d09c4] maint.mk: correct a diagnostic
    * [b969309]->[70b21bf] mkdir: Make it work on mingw64.
    * [3c79d51]->[9f9fbf6] Update comment.
    * [03271c7]->[f5544ce] Fix typo in comment.
    * [1820b30]->[3e18c19] libunistring: Detect libunistring also when it depends on libiconv.
    * [82b0be3]->[6f6d4bf] havelib: Add static libraries to LIBS in the right order.
    * [e330e06]->[1d3b6f0] libunistring: Correct value of $LTLIBUNISTRING.
    * [c9f911d]->[86cda03] autoupdate
    * [197b47e]->[5510d3d] git-version-gen: use "git update-index..." rather than "git status"
    * [5fbd6e3]->[5fbd6e3] doc: users.txt: GNU patch now uses gnulib
    * [2abb98c]->[f07545c] getopt-posix: avoid spurious failure on FreeBSD
    * [3108b95]->[1454b1f] getopt-posix: avoid spurious failure on Solaris
    * [5cc0bcf]->[d711c30] getopt-posix: detect MacOS bug
    * [db3e280]->[cc1fb6a] getopt: merge bug fixes from glibc
    * [61c96af]->[6229a28] getopt-gnu: match recent glibc fixes and posix ruling
    * [d39bc2c]->[588d54b] autoupdate
    * [7c1b995]->[a251be0] strtok_r: relax license to LGPLv2+
    * [56d363d]->[57a3236] test-forkpty: fix expected signature
    * [e764ea2]->[0dc1446] openpty: Fix mistake from 2010-03-21.
    * [ae75893]->[854fe4e] Override netdb.h always.
    * [93b28fe]->[e7f1d9f] ioctl: Move autoconf macro to a .m4 file.
    * [710c8d3]->[8cf9b2c] relocatable: Drop the need to define RELOCATABLE_STRIP in Makefile.am.
    * [2f31750]->[2676677] relocatable: Simplify doc.
    * [cea53ef]->[5428678] bootstrap: use "git -h" instead of "git --help"
    * [e51d12c]->[528ab01] vasnprintf: Correct errno value in case of out-of-memory.

    and one local commit, submitted upstream:

    * [7ffc813]->[b219cbd] make check: avoid an error when no .git dir present.

----------------------------------------------------------------------

  * 20100308-stable

Snapshot taken based on:

commit  4fc10daa05477586fea99b6b3ca02a87d1102fa1
Date:   Mon Mar 1 22:09:44 2010 +0100

with the following additional commits:

    * [88baa1e]->[6681664] spawn: Don't override the system defined values on FreeBSD 8.
    * [ca156dd]->[12e638f] copy-acl: enhance Solaris ACL error handling
    * [fa93cea]->[fbe6ced] exit: Obsolete module, use stdlib instead.
    * [eb6dce1]->[529ebff] exitfail: Relax license to LGPLv2.1+.  Drop exitfail.m4.
    * [434627d]->[3dfb904] Prefer lib_SOURCES over unconditional AC_LIBOBJ.
    * [032088a]->[99e99ca] euidaccess: relax license to LGPLv2+
    * [3753983]->[51c9c87] Fix incorrect Makefile.am generation in German locale.
    * [89e5b6b]->[6fde090] Clarify access, euidaccess, faccessat.
    * [798f5bd]->[661fa69] Fix link error on platforms with GNU libiconv.
    * [94a90dc]->[a62a0db] Exclude lib-ignore module.
    * [fc980d5]->[9f46144] Fix test-dirent link error.
    * [f19a2e5]->[2e4b5be] Fix test-dirent-safer link error. Correct last commit.
    * [7d09cc8]->[c896764] Fix test-cond link error.

----------------------------------------------------------------------

  * 20100109-stable

Snapshot taken based on:

commit  12319ff4e84ca616a671216d991dd6eaf1c39c47
Date:   Fri Jan 1 16:00:07 2010 +0100

with the following additional commits:

    * [e7100ae]->[60a41fa] headers: make check of system header explicit
    * [1bf02c3]->[2e79dd2] wchar: Remove unused configure check.
    * [8f3aa1f]->[ab43907] autoupdate
    * [e138cd8]->[18a2e77] fdopendir: fix configure test
    * [7a29e00]->[11639c6] nl_langinfo: avoid configure-time syntax error
    * [51983dc]->[fab630e] mkdir: avoid xalloc
    * [28e6fc0]->[b8025c4] xalloc.h: use consistent formatting
    * [0c2fded]->[41d7de2] maint.mk: include 4 more function names in alloca.h-checking regexp
    * [0e0f8f1]->[2d44e17] maint: remove useless inclusions of "alloca.h"
    * [c1b6197]->[9e93370] ChangeLog: correct last entry: s/alloca.h/xalloc.h/
    * [f8b8f4f]->[bfdc843] strcase: document what it provides
    * [41c44a6]->[88de58a] utimens (fdutimens): ignore a negative FD, per contract
    * [735d9d0]->[8a69e5c] maint: support 'make announcement' from a VPATH build
    * [816a1ec]->[0d57ec9] readtokens: this module *does* require xalloc.h
    * [f9eed4b]->[58b5448] nl_langinfo: do not call AC_CHECK_FUNC_ONCE inside if.
    * [60ad192]->[932e55d] stdio, unistd: guarantee ssize_t
    * [ae0044c]->[78c1179] autoupdate
    * [eb9c0c2]->[d0f97a4] cleanup after gl_FUNC_READLINK, for gl_FUNC_SYMLINK test
    * [e5697c6]->[b4e7212] linkat, renameat: avoid bad free
    * [010ecd2]->[65e8854] dirent: fix test failure
    * [978114f]->[eb65fea] pread: fix compilation on glibc
    * [2f0e0a8]->[c93838e] doc: regenerate INSTALL
    * [654c876]->[4b8c490] select: add missing dependency
    * [c4b4563]->[9ebfb66] maint.mk: ignore multi-line copyright in NEWS
    * [cb361c9]->[d9d722c] maint.mk: detect incorrect GFDL usage
    * [c1a179c]->[abd3f20] wctype: allow C++ use
    * [6751651]->[1c3411f] autoupdate
    * [5cd308a]->[d1ecc61] ChangeLog: Correct a recent entry.
    * [7f01cc5]->[77f03a3] nl_langinfo: Simplify logic.
    * [cc6a687]->[efba37d] doc: Clarify the platforms.
    * [64cbadd]->[a75ac7f] xlist, xoset: Fix missing dependency bug, introduced on 2009-12-13.
    * [f1195cc]->[877b01f] stdio: Ensure <stdio.h> defines off_t, ssize_t, va_list.
    * [027bd46]->[53c2db0] dirent: Document the last fix.
    * [969fe75]->[085b493] mbslen: Avoid collision with system function.
    * [ccc06b2]->[3437136] Fix indentation of wctype.in.h, broken since 2007-01-06.
    * [0906b5f]->[6b40a56] glob: Fix C++ compilation.
    * [2cf2e37]->[0b0ac4a] dup2: work around mingw bug
    * [581419c]->[fad0fe1] lib/dup2.c (rpl_dup2): Improve comment.
    * [dd5823d]->[465b4d1] Tests for module 'getlogin_r'.
    * [3361cfa]->[5bfd3af] getlogin_r: Add comment.
    * [89b39ef]->[88bc1a6] getlogin_r: Small fixes.
    * [570a589]->[d6b7bf8] getlogin_r: Support for native Windows.
    * [630a387]->[b2c3f71] unistr/u8-to-u16: Reject invalid input.
    * [95a86a9]->[f3af270] unistr/u8-to-u32: Reject invalid input.
    * [f03c8d5]->[987b3c4] unistr/u16-to-u8: Reject invalid input.
    * [19aa55e]->[b4ee15b] unistr/u16-to-u32: Reject invalid input.

----------------------------------------------------------------------

  * 20091120-stable

Snapshot taken based on:

commit 7becd9d708425924f3a402fdd3c6e18ba2a7e4e3
Date:   Sat Nov 7 16:03:38 2009 -0700

with the following additional commits:

    * [26c5fd7]->[7eb2ad0] utimens: remove invalid futimesat call
    * [6553be8]->[510522d] strftime.c: include ignore-value.h only when FPRINTFTIME is defined
    * [349396e]->[cc85265] stat: detect FreeBSD bug
    * [48e9883]->[7f013da] open: detect FreeBSD bug
    * [d462fe1]->[02634ef] rename: detect FreeBSD bug
    * [b0d3085]->[fd021c4] autoupdate
    * [2420877]->[12a64eb] unlink, remove: detect FreeBSD bug
    * [492960c]->[24c30ab] link: detect FreeBSD bug
    * [24a6037]->[ec14720] symlink: detect FreeBSD bug
    * [dfd4d11]->[3bb65d2] readlink: detect FreeBSD bug
    * [7127847]->[c9698f2] bootstrap: generalize autoheader check
    * [ac67780]->[3739c19] fts: do not fail on a submount during traversal
    * [08e6b4c]->[82a192d] getgroups: fix logic error
    * [80074d1]->[d9cc1a4] getgroups: avoid calling exit
    * [61b3a42]->[a12148f] getgroups, getugroups: provide stubs for mingw
    * [0173b1e]->[dc5014b] test-getgroups: avoid compilation failure
    * [f3a2c4a]->[5390af1] getgroups: avoid compilation failure
    * [1e642be]->[867cf3b] getgroups: work around FreeBSD bug
    * [cf0c4ab]->[2d61dc2] getgroups: avoid compiler warning
    * [ee8909a]->[28fc486] strftime.h: wrap funtion declaration in extern "C" block
    * [fb1b608]->[d837f67] gnulib-tool: correctly detect absence of m4 directories
    * [a86ea84]->[e14e479] fnmatch: avoid compiler warning
    * [24a6641]->[16685f1] lib/gc-pbkdf2-sha1.c: Remove comments from RFC 2898.
    * [1b712ba]->[4b4b924] avoid new AC_REQUIRE expanded-before-required warnings
    * [6963723]->[456348e] better AC_REQUIRE expanded-before-required-warning avoidance
    * [1c32714]->[dc372f7] version-etc: relax license to LGPLv3+
    * [7e52ced]->[3f0179e] version-etc-fsf: relax license to LGPLv3+
    * [b205080]->[e09f5b5] version-etc: use proper license string
    * [b9d28ec]->[f2baca9] Add `gnulib-tool --import' support for LGPLv3+.
    * [d9d9b26]->[6d8c90b] Add.
    * [0883405]->[72abcbb] utimens: fix regression on Solaris
    * [8cfd4a9]->[8607d21] tests: avoid false negative with --with-packager
    * [111e540]->[0028f27] build: avoid compiler warnings
    * [841ad19]->[c6d977e] manywarnings: depend on warnings
    * [758f912]->[dd21f46] autoupdate
